Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class FacetWhiteSpace

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.facet.SOMFacet
              com.bea.schema.facet.FacetWhiteSpace

All Implemented Interfaces:
  Serializable

public class FacetWhiteSpace
extends SOMFacet

whiteSpace constrains the value space of types derived from string such that the various behaviors specified in Attribute Value Normalization in [XML 1.0 (Second Edition)] are realized. The value of whiteSpace must be one of {preserve, replace, collapse}.

Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Field Summary
`byte` | `COLLAPSE`
`byte` | `PRESERVE`
`byte` | `REPLACE`

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`FacetWhiteSpace(String val)`

Method Summary
`String` | `getID()` Returns a printable element tag for this Schema Object
`String` | `getValue()`
`void` | `setValue(String val)`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRESERVE

    public final byte PRESERVE

See Also:
  Constant Field Values

### REPLACE

    public final byte REPLACE

See Also:
  Constant Field Values

### COLLAPSE

    public final byte COLLAPSE

See Also:
  Constant Field Values

Constructor Detail

### FacetWhiteSpace

    public FacetWhiteSpace(String val)

Method Detail

### getID

    public String getID()

  Description copied from class: `SOMObject`
  Returns a printable element tag for this Schema Object

  Specified by:
    `getID` in class `SOMObject`
  Returns:
    String representation of the element tag

### getValue

    public String getValue()

  Specified by:
    `getValue` in class `SOMFacet`

### setValue

    public void setValue(String val)

  Specified by:
    `setValue` in class `SOMFacet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD